package org.example.petshopdesktop.DTOs;

import javafx.beans.property.*;

public class PurchaseOrderDTO {

    private LongProperty purchaseOrderId;
    private StringProperty supplierName;
    private StringProperty orderDate;
    private StringProperty status;
    private StringProperty storeName;

    public PurchaseOrderDTO(long id, String supplierName,
                            String orderDate, String status, String storeName) {

        this.purchaseOrderId = new SimpleLongProperty(id);
        this.supplierName = new SimpleStringProperty(supplierName);
        this.orderDate = new SimpleStringProperty(orderDate);
        this.status = new SimpleStringProperty(status);
        this.storeName = new SimpleStringProperty(storeName != null ? storeName : "");
    }

    public long getPurchaseOrderId() { return purchaseOrderId.get(); }
    public String getSupplierName() { return supplierName.get(); }
    public String getOrderDate() { return orderDate.get(); }
    public String getStatus() { return status.get(); }
    public String getStoreName() { return storeName.get(); }
}
